Add apache config for protected content with certguard

06/08/2020 05:15 PM - Samir Jha

Status: Closed   

Priority: Normal   

Assignee: Samir Jha   

Category:    

Target version: 2.1.0   

Difficulty:  Fixed in Releases: 2.1.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/puppet-for

eman_proxy_content/pull/263,

https://github.com/theforeman/puppet-pul

pcore/pull/99

  

Description

We need to be able to pass cert headers to content guard to authenticate protected content requests.

The conf for that looks like:

ProxyPass /pulp/repos http://127.0.0.1:24816/pulp/content

ProxyPassReverse /pulp/repo http://127.0.0.1:24816/pulp/content

ProxyPass /pulp/content http://127.0.0.1:24816/pulp/content

ProxyPassReverse /pulp/content http://127.0.0.1:24816/pulp/content

<Location /pulp/repos>

RequestHeader unset X-CLIENT-CERT

RequestHeader set X-CLIENT-CERT "%{SSL_CLIENT_CERT}s" 

</Location>

<Location /pulp/isos>

RequestHeader unset X-CLIENT-CERT

RequestHeader set X-CLIENT-CERT "%{SSL_CLIENT_CERT}s" 

</Location>

<Location /pulp/content>

RequestHeader unset X-CLIENT-CERT

RequestHeader set X-CLIENT-CERT "%{SSL_CLIENT_CERT}s" 

</Location>

Related issues:

Related to Installer - Bug #30133: Install python3-subscription-manager-rhsm ... Closed

Associated revisions

Revision 5ea05a8e - 06/12/2020 12:18 AM - Samir Jha 

Fixes #30059 - Add certguard plugin

Revision 3a4d5dac - 06/15/2020 03:17 PM - Samir Jha 

Fixes #30059 - Add config for protected content (#263)

History

#1 - 06/08/2020 05:24 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/puppet-foreman_proxy_content/pull/263 added
#2 - 06/09/2020 01:40 PM - The Foreman Bot

- Pull request https://github.com/theforeman/puppet-pulpcore/pull/99 added

#3 - 06/12/2020 01:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

Applied in changeset puppet-pulpcore|5ea05a8e6a7915cbf6e7ff04ad1ccf526d396990.

#4 - 06/15/2020 03:17 PM - The Foreman Bot

- Fixed in Releases 2.2.0 added

#5 - 06/24/2020 12:45 PM - Justin Sherrill

- Target version set to 2.1.0

#6 - 06/29/2020 12:51 PM - Ewoud Kohl van Wijngaarden

- Related to Bug #30133: Install python3-subscription-manager-rhsm package to use for rhsm certguard added

#7 - 07/01/2020 12:26 PM - Ewoud Kohl van Wijngaarden

- Pull request deleted (https://github.com/theforeman/puppet-pulpcore/pull/99, https://github.com/theforeman/puppet-foreman_proxy_content/pull/263)

- Fixed in Releases 2.1.0 added

- Fixed in Releases deleted (2.2.0)

#8 - 07/01/2020 12:33 PM - Tomer Brisker

- Pull request https://github.com/theforeman/puppet-foreman_proxy_content/pull/263, https://github.com/theforeman/puppet-pulpcore/pull/99 added
